auto {{ item.device }}
iface {{ item.device }} inet {% if item.bootproto is defined %}{{ item.bootproto }}{% elif item.address is defined %}static{% else %}dhcp{% endif %}
{% include 'ipv4_config.j2' %}
{% include 'resolvconf.j2' %}
{% include 'route.j2' %}

{% if item.hwaddress is defined %}
    hwaddress ether        {{ item.hwaddress }}
{% endif %}
